## visad.data.hdfeos
Class NamedDimension

    java.lang.Object
      visad.data.hdfeos.NamedDimension

public class NamedDimension
extends Object

Constructor Summary
`(package private)` `NamedDimension(int struct_id, String name, int length, GeoMap g_map)`

Method Summary
`boolean` `equals(NamedDimension obj)`
`GeoMap` `getGeoMap()`
`int` `getLength()`
`String` `getName()`
`boolean` `isGeoMapDefined()`
`boolean` `isUnlimited()`
`void` `setLength(int len)`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NamedDimension

    NamedDimension(int struct_id,
                   String name,
                   int length,
                   GeoMap g_map)

Method Detail

### getName

    public String getName()

### equals

    public boolean equals(NamedDimension obj)

### setLength

    public void setLength(int len)

### getLength

    public int getLength()

### getGeoMap

    public GeoMap getGeoMap()

### isGeoMapDefined

    public boolean isGeoMapDefined()

### isUnlimited

    public boolean isUnlimited()

### toString

    public String toString()